Summary: Adobe Acrobat Reader 4.0 beta
Name: acroread
Version: 4.0
Release: 0
ExclusiveArch: i386
Copyright: non-free
Group: X11/Applications
Source0: ftp://ftp.adobe.com/pub/adobe/acrobatreader/unix/4.x/beta/linux-ar-40.tar.gz
Source1: acroread.wmconfig
Source2: mini-pdf.xpm
Vendor: Adobe Systems Incorporated
URL: http://www.adobe.com
BuildRoot: /var/tmp/acroread-root
Prefix: /opt
Prereq: /bin/sed

%changelog

* Sun Apr 18 1999 Peter Soos <sp@osb.hu> 4.0-0

- Moved to version 4.0 beta.

* Fri Feb 05 1999 Peter Soos <sp@osb.hu> 3.02-2

- The acroread-3.02-1.rpm was broken.

* Sat Dec 19 1998 Peter Soos <sp@osb.hu> 3.02-1

- Moved to version 3.02.

* Mon Jun 22 1998 Peter Soos <sp@osb.hu> 3.01-4

- Now using %attr.

* Sun May 31 1998 Peter Soos <sp@osb.hu> 3.01-3

- Removed the automatic Netscape plugin installation because it isn't compatible  with glibc based Netscape versions.

* Sun Dec 28 1997 Peter Soos <sp@osb.hu> 3.01-2

- Some fine tune.
- Added wmconfig support.

* Fri Dec 5 1997 Peter Soos <sp@osb.hu> 3.01-1

- New version. Made the stuff relocatable.

%description
Acrobat Reader is part of the Adobe Acrobat family of software, which lets you view, distribute, and print documents in Portable Document Format (PDF)--regardless of the computer, operating system, fonts, or application used to create the original file.  PDF files retain all the formatting, fonts, and graphics of the original document, and virtually any PostScript(TM) document can be converted into a PDF file. Adobe Acrobat Reader have a plug-in for Netscape Navigator to to view PDF files inline

%prep
%setup -n ILINXR.install
tar xvf ILINXR.TAR
tar xvf READ.TAR

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/opt/acrobat
mkdir -p $RPM_BUILD_ROOT/opt/acrobat/Reader/intellinux/etc
cp -a bin Browsers Reader Resource $RPM_BUILD_ROOT/opt/acrobat
install -m644 $RPM_SOURCE_DIR/acroread.wmconfig $RPM_BUILD_ROOT/opt/acrobat/Reader/intellinux/etc
install -m644 $RPM_SOURCE_DIR/mini-pdf.xpm $RPM_BUILD_ROOT/opt/acrobat/Reader/intellinux/etc

%clean
rm -rf $RPM_BUILD_ROOT

%pre
dirlist=$RPM_INSTALL_PREFIX
while [ ! -d $dirlist/bin ] ; do
  dirlist=`echo $dirlist | sed 's|/[^/]*$||'`
done
binprefix=$dirlist
cd $binprefix/bin
rm -f acroread

rm -rf /etc/X11/wmconfig/acroread

%post
dirlist=$RPM_INSTALL_PREFIX
while [ ! -d $dirlist/bin ] ; do
  dirlist=`echo $dirlist | sed 's|/[^/]*$||'`
done
binprefix=$dirlist
cd $binprefix/bin
sed "s|REPLACE_ME|$RPM_INSTALL_PREFIX/acrobat/Reader|g" $RPM_INSTALL_PREFIX/acrobat/bin/acroread.sh > acroread
chmod 755 acroread

if [ -d /etc/X11/wmconfig ] ; then
  cd /etc/X11/wmconfig
  ln -sf $RPM_INSTALL_PREFIX/acrobat/Reader/intellinux/etc/acroread.wmconfig acroread
  if [ -d /usr/share/icons/mini -a ! -f /usr/share/icons/mini/mini-pdf.xpm ] ; then
    cd /usr/share/icons/mini
    ln -sf $RPM_INSTALL_PREFIX/acrobat/Reader/intellinux/etc/mini-pdf.xpm .
  fi
fi

if [ -d /usr/X11R6/lib/X11/app-defaults ]; then
  cd /usr/X11R6/lib/X11/app-defaults
  rm -f AcroRead
  ln -sf $RPM_INSTALL_PREFIX/acrobat/Reader/intellinux/app-defaults/AcroRead .
fi

%postun
dirlist=$RPM_INSTALL_PREFIX
while [ ! -d $dirlist/bin ] ; do
  dirlist=`echo $dirlist | sed 's|/[^/]*$||'`
done
binprefix=$dirlist
rm -f $binprefix/bin/acroread

if [ -d /etc/X11/wmconfig ] ; then
  cd /etc/X11/wmconfig
  rm -f acroread
  if [ -L /usr/share/icons/mini/mini-pdf.xpm ] ; then
    cd /usr/share/icons/mini
    rm -f mini-pdf.xpm
  fi
fi

if [ -d /usr/X11R6/lib/X11/app-defaults ]; then
  cd /usr/X11R6/lib/X11/app-defaults
  rm -f AcroRead
fi

%files
%attr(-, root,root) %dir /opt/acrobat/Reader/intellinux
%attr(-, root,root) %dir /opt/acrobat/Reader/intellinux/app-defaults
%attr(-, root,root) %dir /opt/acrobat/Reader/intellinux/etc
%attr(-, root,root) %config /opt/acrobat/Reader/intellinux/app-defaults/AcroRead
%attr(-, root,root) %config /opt/acrobat/Reader/intellinux/etc/acroread.wmconfig
%attr(-, root,root) /opt/acrobat/Reader/intellinux/etc/mini-pdf.xpm
%attr(-, root,root) /opt/acrobat/Reader/intellinux/fonts
%attr(-, root,root) /opt/acrobat/Reader/intellinux/lib
%attr(-, root,root) /opt/acrobat/Reader/intellinux/optional
%attr(-, root,root) /opt/acrobat/Reader/intellinux/plug_ins
%attr(-, root,root) /opt/acrobat/Reader/intellinux/res
%attr(-, root,root) /opt/acrobat/Reader/intellinux/bin
%attr(-, root,root) /opt/acrobat/Reader/help
%attr(-, root,root) /opt/acrobat/Reader/res
%attr(-, root,root) /opt/acrobat/Reader/AcroVersion
%attr(-, root,root) /opt/acrobat/Reader/ReadMe*
%attr(-, root,root) /opt/acrobat/Reader/*.pdf
%attr(-, root,root) /opt/acrobat/Browsers
%attr(-, root,root) /opt/acrobat/Resource
%attr(-, root,root) /opt/acrobat/bin
